> ## Documentation Index
> Fetch the complete documentation index at: https://ekso.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists items in a container with optional filtering and pagination.



## OpenAPI

````yaml /api-reference/openapi.json post /api/item/list
openapi: 3.1.1
info:
  title: EKSO.API
  description: >-
    REST API for EKSO — ticketing, help desk, project management, resource
    planning, and time tracking.
  contact:
    name: Ekso
    url: https://ekso.dev
  version: v1
servers:
  - url: https://{install}
    description: Your self-hosted Ekso install
    variables:
      install:
        default: your-ekso-install.example.com
        description: Your install hostname (the PublicUrl set in /startup)
security: []
tags:
  - name: Clock
  - name: Process
  - name: Rule
  - name: Watch
  - name: User
  - name: UserGroup
  - name: Time
  - name: AppSetting
  - name: Hook
  - name: Tenant
  - name: OutboundStorage
  - name: Plan
  - name: Notification
  - name: MailGeneral
  - name: Mailbox
  - name: OutboundMail
  - name: Ticket
  - name: Link
  - name: Item
  - name: Screen
  - name: BudgetReason
  - name: CostCenter
  - name: Crm
  - name: JobRole
  - name: NonBillable
  - name: Reporting
  - name: Sku
  - name: File
  - name: Docs
  - name: Constraint
  - name: ContentTemplate
  - name: Field
  - name: Area
  - name: Container
  - name: Label
  - name: Board
  - name: Cycle
  - name: AccessControl
  - name: Config
  - name: EntraMeta
  - name: Meta
  - name: Annotation
  - name: Chat
  - name: ApiKey
paths:
  /api/item/list:
    post:
      tags:
        - Item
      summary: Lists items in a container with optional filtering and pagination.
      operationId: Item_createList
      requestBody:
        description: Filter and pagination options including container ID.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ItemListOptions'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ItemListOptions'
        required: true
      responses:
        '200':
          description: List of items matching the criteria.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DataItem'
        '400':
          description: Validation error — field-level errors in Fields[]
        '403':
          description: Permission denied — insufficient permissions
        '422':
          description: Business rule violation — logic error
        '500':
          description: Internal server error
      security:
        - Bearer: []
components:
  schemas:
    ItemListOptions:
      type: object
      properties:
        includeClosed:
          type: boolean
        filter:
          type: array
          items:
            type: string
        containerId:
          type: string
        includeTime:
          type: boolean
        includeLink:
          type: boolean
        includeDependency:
          type: boolean
        includeAnnotation:
          type: boolean
    DataItem:
      type: object
      properties:
        entity:
          type:
            - 'null'
            - string
        containerId:
          type: string
        processId:
          type: string
        sequence:
          type: integer
          format: int32
        boardId:
          type: string
        cycleId:
          type: string
        resourceType:
          $ref: '#/components/schemas/ResourceType'
        resourceId:
          type: string
        dateOpened:
          type:
            - 'null'
            - string
          format: date-time
        dateWorking:
          type:
            - 'null'
            - string
          format: date-time
        dateClosed:
          type:
            - 'null'
            - string
          format: date-time
        time:
          type: array
          items:
            $ref: '#/components/schemas/ItemTime'
        field:
          type: array
          items:
            $ref: '#/components/schemas/DataItemFieldValue'
        meta:
          type: array
          items:
            $ref: '#/components/schemas/KeyValuePairOfstringAndstring'
        clockStart:
          type: string
          format: date-time
        clockFinish:
          type: string
          format: date-time
        clockDelta:
          type: number
          format: double
        clockHours:
          type: integer
          format: int32
        clockStatus:
          $ref: '#/components/schemas/ClockStatusEnum'
        dependencyKey:
          type: string
        dependencyIndent:
          type: integer
          format: int32
        dependencyChild:
          type: integer
          format: int32
        tenantId:
          type: string
        id:
          type: string
        created:
          type: string
          format: date-time
        createdBy:
          type: string
        updated:
          type: string
          format: date-time
        updatedBy:
          type: string
        deleted:
          type: boolean
    ResourceType:
      type: integer
    ItemTime:
      type: object
      properties:
        id:
          type: string
        dated:
          type: string
          format: date-time
        userId:
          type: string
        timeTypeId:
          type: string
        timeLogged:
          type: string
        comment:
          type: string
        status:
          $ref: '#/components/schemas/TimeStatus'
    DataItemFieldValue:
      type: object
      properties:
        fieldId:
          type: string
        data:
          type: string
    KeyValuePairOfstringAndstring:
      required:
        - key
        - value
      type: object
      properties:
        key:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
    ClockStatusEnum:
      type: integer
    TimeStatus:
      type: integer
  securitySchemes:
    Bearer:
      type: http
      description: JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
      scheme: bearer
      bearerFormat: JWT

````